/***************************************************************************
 * tabtrackobserver.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2007- the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TABTRACKOBSERVER_H
#define TABTRACKOBSERVER_H

class TabTrackObserver
{
public:
	TabTrackObserver();
	virtual ~TabTrackObserver();
	
	virtual void noteEffectChanged(int bar, int time, int chord);
	virtual void noteChanged(int bar, int time, int note);
	virtual void timeChordChanged(int bar, int time);
	virtual void timeEffectChanged(int bar, int time);
	virtual void timeChanged(int bar, int time);
	virtual void barPropertyChanged(int bar);
	virtual void barMixChanged(int bar);
	virtual void barChanged(int bar);
	virtual void trackPropertyChanged();
	virtual void trackChanged();
private:
};

#endif
